Package org.apache.sysds.runtime.instructions.cp

## Class CiphertextMatrix

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.Data
  - - org.apache.sysds.runtime.instructions.cp.Encrypted
    - - org.apache.sysds.runtime.instructions.cp.CiphertextMatrix

All Implemented Interfaces:
  `Serializable`

    public class CiphertextMatrix
    extends Encrypted

This class abstracts over an encrypted matrix of ciphertexts. It stores the data as opaque byte array. The layout is unspecified.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CiphertextMatrix​(int[] dims, DataCharacteristics dc, byte[] data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDebugName()`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Encrypted

`getData, getDataCharacteristics, getDims`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

`getDataType, getMetaData, getValueType, removeMetaData, setMetaData, toString, updateDataCharacteristics`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CiphertextMatrix

    public CiphertextMatrix​(int[] dims,
                            DataCharacteristics dc,
                            byte[] data)

### Method Detail

#### getDebugName

    public String getDebugName()

Specified by:
  `getDebugName` in class `Data`